Subject: Re: [PATCH 01/14] advice: Introduce error_resolve_conflict

From: Jonathan Nieder <[email-masked]>
Date: Wed, 6 Jul 2011 05:03:31 -0500

Ramkumar Ramachandra wrote:

> Yes, but I was worried that I shouldn't expose it because your commit
> message (2a41df) says:
>
>     It is local to revert.c for now because I am not sure this is
>     the right API (we may want to take an array of advice lines or a
>     boolean argument for easy suppression of unwanted advice).
>
> So, is it still alright to expose it in advice.h?

Well, presumably this second caller is evidence that it is the right
API, no? :)

Of course the API can still easily be changed later.